E-MailRelay

Namespaces | Functions | Variables
gcodepage.h File Reference
`#include "gdef.h"`
`#include "gstringview.h"`
Include dependency graph for gcodepage.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | G
| Low-level classes.
namespace | G::CodePage
| Windows codepage conversion functions.

## Functions
std::string | G::CodePage::fromCodePage850 (std::string_view s)
| Converts from codepage 850 to UTF-8. More...
std::string | G::CodePage::toCodePage850 (std::string_view s)
| Converts from UTF-8 to codepage 850. More...
std::string | G::CodePage::fromCodePage1252 (std::string_view s)
| Converts from codepage 1252 to UTF-8. More...
std::string | G::CodePage::toCodePage1252 (std::string_view s)
| Converts from UTF-8 to codepage 1252. More...
std::string | G::CodePage::toCodePageOem (std::string_view)
| Converts from UTF-8 to the active OEM codepage (see GetOEMCP(), 850 on unix). More...
std::string | G::CodePage::fromCodePageOem (std::string_view)
| Converts from the active OEM codepage (see GetOEMCP(), 850 on unix) to UTF-8. More...
std::string | G::CodePage::toCodePageAnsi (std::string_view)
| Converts from UTF-8 to the active "ansi" codepage (see GetACP(), 1252 on unix). More...
std::string | G::CodePage::fromCodePageAnsi (std::string_view)
| Converts from the active OEM codepage (see GetACP(), 1252 on unix) to UTF-8. More...

## Variables
constexpr char | G::CodePage::oem_error = '\xDB'
constexpr char | G::CodePage::ansi_error = '\xBF'